Summary:   Rio 500 Management tool for GNOME.
Name:      walk500
Version:   0.11
Release:   2mdk
License:   GPL
Group:     Sound
Source:    walk500-%{version}.tar.bz2
URL:       http://hadess.net/walk500.php
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires:	gdk-pixbuf-devel
BuildRequires:	libglade-devel
BuildRequires:	rio500-devel
Obsoletes: grio500
Provides:  grio500

%description
A Rio 500 interface for the GNOME Desktop Environment.
It is statically linked against librio500.



%prep
%setup -q

%build

%configure
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std
mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" \
needs="x11" \
section="Multimedia/Sound" \
title="Walk500" \
longtitle="An interface for Rio 500" \
icon="sound_section.png"
EOF

# dynamic desktop support
%define launchers /etc/dynamic/launchers/rio500
mkdir -p $RPM_BUILD_ROOT%launchers
cat > $RPM_BUILD_ROOT%launchers/%name.desktop << EOF
[Desktop Entry]
Name=Walk500
Comment=Rio500 interface
TryExec=/usr/bin/walk500
Exec=/usr/bin/walk500
Terminal=false
Icon=sound_section.png
Type=Application
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README THANKS TODO
%{_bindir}/*
%{_datadir}/gnome/apps/*/*
%{_datadir}/walk500

%changelog
* Sun Jul 28 2002 Stefan van der Eijk <stefan@eijk.nu> 0.11-2mdk
- BuildRequires

* Wed Jul 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11-1mdk
- First Mandrake package (replace grio500)
